## org.eclipse.emf.mapping.presentation
Class MappingEditor.OverviewViewer

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.jface.viewers.ContentViewer
              org.eclipse.jface.viewers.StructuredViewer
                  org.eclipse.jface.viewers.ColumnViewer
                      org.eclipse.jface.viewers.AbstractTreeViewer
                          org.eclipse.jface.viewers.TableTreeViewer
                              org.eclipse.emf.common.ui.viewer.ExtendedTableTreeViewer
                                  org.eclipse.emf.mapping.presentation.MappingEditor.OverviewViewer

All Implemented Interfaces:
  IInputProvider, IInputSelectionProvider, IPostSelectionProvider, ISelectionProvider

Enclosing class:
  MappingEditor

Deprecated.

    @Deprecated
    public static class MappingEditor.OverviewViewer

extends ExtendedTableTreeViewer

Unfortunately we've not had time to implement a replacement for this yet.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.ui.viewer.ExtendedTableTreeViewer
`ExtendedTableTreeViewer.ExtendedTableTreeItem`

Nested classes/interfaces inherited from class org.eclipse.jface.viewers.StructuredViewer
`StructuredViewer.ColorAndFontCollector, StructuredViewer.ColorAndFontCollectorWithProviders`

Field Summary
`protected AdapterFactory` `adapterFactory` Deprecated.
`protected java.util.Collection<java.lang.Object>` `expandedObjects` Deprecated.
`protected Action` `filterUnmappedObjects` Deprecated.
`protected AdapterFactoryMappingDomain` `mappingDomain` Deprecated.
`protected MappingEditor` `mappingEditor` Deprecated.
`protected Action` `multipleColumns` Deprecated.
`protected SimpleMappedObjectViewer` `otherViewer` Deprecated.
`protected java.util.Collection<java.lang.Object>` `selectedObjects` Deprecated.
`protected Action` `showTopFirst` Deprecated.
`protected Table` `table` Deprecated.
`protected TableTree` `tableTree` Deprecated.
`protected AdapterFactoryTableTreeEditor` `tableTreeEditor` Deprecated.

Fields inherited from class org.eclipse.emf.common.ui.viewer.ExtendedTableTreeViewer
`imagePadding, imagePaddingWidth, interactorFound, interactorSize, ITEM_ID`

Fields inherited from class org.eclipse.jface.viewers.AbstractTreeViewer
`ALL_LEVELS`

Fields inherited from class org.eclipse.jface.viewers.Viewer
`WIDGET_DATA_KEY`

Constructor Summary
`MappingEditor.OverviewViewer(MappingEditor editor, Composite composite)` Deprecated.

Method Summary
`void` `cancelEditing()` Deprecated.
`void` `dismissCellEditor()` Deprecated.
`Action` `getFilterUnmappedObjectsAction()` Deprecated.
`Action` `getMultipleColumnsAction()` Deprecated.
`java.util.List<?>` `getPrimaryMappedObjects(Mapping mapping)` Deprecated.
`java.util.List<?>` `getSecondaryMappedObjects(Mapping mapping)` Deprecated.
`ISelection` `getSelection()` Deprecated.
`Action` `getShowTopFirstAction()` Deprecated.
`void` `init()` Deprecated.
`boolean` `isPrimaryMappedObject(MappingRoot mappingRoot, java.lang.Object object)` Deprecated.
`boolean` `isSecondaryMappedObject(MappingRoot mappingRoot, java.lang.Object object)` Deprecated.
`void` `makeContributions(IMenuManager menuManager, IToolBarManager toolBarManager, IStatusLineManager statusLineManager)` Deprecated.
`void` `preserveState()` Deprecated.
`void` `refreshCell()` Deprecated.
`void` `restoreState()` Deprecated.
`void` `setAdapterFactory(AdapterFactory adapterFactory)` Deprecated.
`protected void` `setSelectionToWidget(java.util.List list, boolean reveal)` Deprecated. This override ensures the objects which aren't in the view don't cause a failure.
`void` `setVisible(boolean visible)` Deprecated.

Methods inherited from class org.eclipse.emf.common.ui.viewer.ExtendedTableTreeViewer
`center, createImagePadding, getImageBounds, hookControl, isGTK, newItem, scale`

Methods inherited from class org.eclipse.jface.viewers.TableTreeViewer
`addTreeListener, doUpdateItem, editElement, getCellEditors, getCellModifier, getChild, getChildren, getColumnProperties, getControl, getElementAt, getExpanded, getItemAt, getItemCount, getItemCount, getItems, getLabelProvider, getParentItem, getSelection, getTableTree, isCellEditorActive, removeAll, setCellEditors, setCellModifier, setColumnProperties, setExpanded, setSelection, showItem`

Methods inherited from class org.eclipse.jface.viewers.AbstractTreeViewer

`add, add, addSelectionListener, addTreeListener, assertContentProviderType, associate, buildLabel, collapseAll, collapseToLevel, createChildren, createTreeItem, createViewerEditor, disassociate, doFindInputItem, doFindItem, doGetColumnCount, doUpdateItem, expandAll, expandToLevel, expandToLevel, fireTreeCollapsed, fireTreeExpanded, getAutoExpandLevel, getColumnViewerOwner, getExpandedElements, getExpandedState, getExpandedTreePaths, getFilteredChildren, getNextItem, getParentElement, getPreviousItem, getRawChildren, getSelectionFromWidget, getSortedChildren, getTreePathFromItem, getViewerRowFromItem, getVisibleExpandedElements, handleDoubleSelect, handleTreeCollapse, handleTreeExpand, indexForElement, inputChanged, insert, internalAdd, internalCollapseToLevel, internalExpand, internalExpandToLevel, internalFindItems, internalGetWidgetToSelect, internalInitializeTree, internalIsInputOrEmptyPath, internalRefresh, internalRefresh, internalRefresh, internalRemove, internalRemove, isExpandable, isSameSelection, labelProviderChanged, remove, remove, remove, removeTreeListener, reveal, scrollDown, scrollUp, setAutoExpandLevel, setContentProvider, setExpandedElements, setExpandedState, setExpandedTreePaths, setSelectionToWidget, updateChildren, updatePlus`

Methods inherited from class org.eclipse.jface.viewers.ColumnViewer
`applyEditorValue, getColumnViewerEditor, getItem, getLabelProvider, getViewerRow, hookEditingSupport, refresh, refresh, setColumnViewerEditor, setLabelProvider, triggerEditorActivationEvent, update`

Methods inherited from class org.eclipse.jface.viewers.StructuredViewer

`addDoubleClickListener, addDragSupport, addDropSupport, addFilter, addOpenListener, addPostSelectionChangedListener, assertElementsNotNull, equals, filter, findItem, findItems, fireDoubleClick, fireOpen, firePostSelectionChanged, getColorAndFontCollector, getComparator, getComparer, getFilters, getRoot, getSorter, handleDispose, handleInvalidSelection, handleLabelProviderChanged, handleOpen, handlePostSelect, handleSelect, hasFilters, internalUpdate, mapElement, needsRefilter, preservingSelection, refresh, refresh, refreshItem, removeDoubleClickListener, removeFilter, removeOpenListener, removePostSelectionChangedListener, resetFilters, setComparator, setComparer, setFilters, setInput, setSelection, setSorter, setUseHashlookup, testFindItem, testFindItems, unmapAllElements, unmapElement, unmapElement, update, updateItem, updateSelection, usingElementMap`

Methods inherited from class org.eclipse.jface.viewers.ContentViewer
`getContentProvider, getInput`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, fireHelpRequested, fireSelectionChanged, getData, handleHelpRequest, removeHelpListener, removeSelectionChangedListener, setData, setSelection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

Field Detail

### otherViewer

    protected SimpleMappedObjectViewer otherViewer

  Deprecated.

### mappingEditor

    protected MappingEditor mappingEditor

  Deprecated.

### mappingDomain

    protected AdapterFactoryMappingDomain mappingDomain

  Deprecated.

### adapterFactory

    protected AdapterFactory adapterFactory

  Deprecated.

### filterUnmappedObjects

    protected Action filterUnmappedObjects

  Deprecated.

### multipleColumns

    protected Action multipleColumns

  Deprecated.

### showTopFirst

    protected Action showTopFirst

  Deprecated.

### tableTree

    protected TableTree tableTree

  Deprecated.

### table

    protected Table table

  Deprecated.

### tableTreeEditor

    protected AdapterFactoryTableTreeEditor tableTreeEditor

  Deprecated.

### expandedObjects

    protected java.util.Collection<java.lang.Object> expandedObjects

  Deprecated.

### selectedObjects

    protected java.util.Collection<java.lang.Object> selectedObjects

  Deprecated.

Constructor Detail

### MappingEditor.OverviewViewer

    public MappingEditor.OverviewViewer(MappingEditor editor,
                                        Composite composite)

  Deprecated.

Method Detail

### cancelEditing

    public void cancelEditing()

  Deprecated.
  Overrides:
    `cancelEditing` in class `TableTreeViewer`

### isPrimaryMappedObject

    public boolean isPrimaryMappedObject(MappingRoot mappingRoot,
                                         java.lang.Object object)

  Deprecated.

### isSecondaryMappedObject

    public boolean isSecondaryMappedObject(MappingRoot mappingRoot,
                                           java.lang.Object object)

  Deprecated.

### getPrimaryMappedObjects

    public java.util.List<?> getPrimaryMappedObjects(Mapping mapping)

  Deprecated.

### getSecondaryMappedObjects

    public java.util.List<?> getSecondaryMappedObjects(Mapping mapping)

  Deprecated.

### preserveState

    public void preserveState()

  Deprecated.

### restoreState

    public void restoreState()

  Deprecated.

### init

    public void init()

  Deprecated.

### setAdapterFactory

    public void setAdapterFactory(AdapterFactory adapterFactory)

  Deprecated.

### makeContributions

    public void makeContributions(IMenuManager menuManager,
                                  IToolBarManager toolBarManager,
                                  IStatusLineManager statusLineManager)

  Deprecated.

### getFilterUnmappedObjectsAction

    public Action getFilterUnmappedObjectsAction()

  Deprecated.

### getMultipleColumnsAction

    public Action getMultipleColumnsAction()

  Deprecated.

### getShowTopFirstAction

    public Action getShowTopFirstAction()

  Deprecated.

### getSelection

    public ISelection getSelection()

  Deprecated.
  Specified by:
    `getSelection` in interface `ISelectionProvider`
  Overrides:
    `getSelection` in class `AbstractTreeViewer`

### dismissCellEditor

    public void dismissCellEditor()

  Deprecated.

### refreshCell

    public void refreshCell()

  Deprecated.

### setSelectionToWidget

    protected void setSelectionToWidget(java.util.List list,
                                        boolean reveal)

  Deprecated.
  This override ensures the objects which aren't in the view don't cause a failure.

  Overrides:
    `setSelectionToWidget` in class `AbstractTreeViewer`

### setVisible

    public void setVisible(boolean visible)

  Deprecated.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.